use anyhow::Context;

test_cases! {
    component::top_label: {
        case_001: "Au7bbns",
        case_002: "B2pO3Jjy5",
        case_003: "BmX1",
        case_004: "Cbwaf",
        case_005: "DugycIH1",
        case_006: "EJVPGvm",
        case_007: "EZjzk",
        case_008: "G2Bp2q",
        case_009: "HEIqo",
        case_010: "HJekfF",
        case_011: "HiqtPY",
        case_012: "I3qGa",
        case_013: "IrY",
        case_014: "K",
        case_015: "K4ZbV",
        case_016: "KNH",
        case_017: "KQ35WNB",
        case_018: "KfyyyW5g",
        case_019: "L9Yxt",
        case_020: "Lx",
        case_021: "M2g",
        case_022: "M82jEyQE",
        case_023: "ML",
        case_024: "NpDAWec0",
        case_025: "P",
        case_026: "PXeZ2A",
        case_027: "Q4mJnsE",
        case_028: "QBKWrJ1tf0",
        case_029: "QD1qrxCq8R",
        case_030: "Ql",
        case_031: "R",
        case_032: "TSuitahAE",
        case_033: "U2CtJu",
        case_034: "UIcOlUZ7Zl",
        case_035: "UvLCXTk",
        case_036: "W-6hw",
        case_037: "W3H3Pwkz",
        case_038: "WPDjoiLAC",
        case_039: "YhB",
        case_040: "ZqaprrtUx",
        case_041: "aUo",
        case_042: "bM0si",
        case_043: "d",
        case_044: "eRtK5LJdAv",
        case_045: "eX",
        case_046: "ekuL",
        case_047: "el",
        case_048: "fgkD",
        case_049: "fgy9k",
        case_050: "fqduWgDE3D",
        case_051: "g7gHhbZ",
        case_052: "gW",
        case_053: "h-t",
        case_054: "hX7",
        case_055: "hd57OtXEIr",
        case_056: "i",
        case_057: "i9U1zi",
        case_058: "ilJ",
        case_059: "iydw",
        case_060: "k9eT1OAB",
        case_061: "l7",
        case_062: "lJYZ",
        case_063: "m",
        case_064: "mXfuG63",
        case_065: "nFsuOGbe",
        case_066: "of",
        case_067: "pBGKMWX",
        case_068: "pGQ",
        case_069: "q",
        case_070: "qCC",
        case_071: "qPbHYK",
        case_072: "qq",
        case_073: "rLmB",
        case_074: "rkUtmt6Tm",
        case_075: "t7I4oBXjOr",
        case_076: "tF2tva2",
        case_077: "tlFL",
        case_078: "ts6NZJuhe",
        case_079: "ulztR7o",
        case_080: "vFgL",
        case_081: "vYtAK8DrH",
        case_082: "wNtwqi-gG",
        case_083: "wOtExRH",
        case_084: "wRAyt",
        case_085: "x",
        case_086: "x--M",
        case_087: "x3M",
        case_088: "x6G6jb3",
        case_089: "xV7Xq",
        case_090: "y6pA09CM",
        case_091: "yM0ILnhePB",
        case_092: "yQv",
        case_093: "yt60iPF",
        case_094: "z-d-POyd4",
        case_095: "zdecKuMY",
        case_096: "zvoFF"
    }
}
